Get segmentation rule
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/segmentationRules/{segRuleUid} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/segmentationRules/{segRuleUid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/segmentationRules/{segRuleUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"filename": "<string>",
"name": "<string>",
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"language": "<string>",
"locale": "<string>",
"primary": true,
"uid": "<string>"
}Segmentation Rules
Get segmentation rule
Requires an internal role (ADMIN or PROJECT_MANAGER).
GET
/
api2
/
v1
/
segmentationRules
/
{segRuleUid}
Get segmentation rule
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Unique identifier of the segmentation rule
Response
OK
segmentation rule object
Name of the uploaded segmentation rule file
Maximum string length:
255Name of the segmentation rule
Maximum string length:
255Show child attributes
Show child attributes
Date and time when the segmentation rule was created
Internal numeric identifier, encoded as a string
Language code derived from the locale
Locale code of the segmentation rule; normalized when read
When true, this rule is the primary segmentation rule for its locale in the organization
Unique identifier used in API paths
Was this page helpful?